link.h File Reference
Include dependency graph for link.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | pw_link_events
| link events added with pw_link_add_listener More...

## Macros

#define | PW_TYPE__Link PW_TYPE_OBJECT_BASE "Link"
#define | PW_TYPE_LINK_BASE PW_TYPE__Link ":"
#define | PW_VERSION_LINK_EVENTS 0
#define | PW_LINK_PROP_PASSIVE "pipewire.link.passive"
| Indicate that a link is passive, it does not cause the nodes to activate, set to "1" or "0". More...

## Functions

void | pw_link_add_listener (struct pw_link *link, struct spa_hook *listener, const struct pw_link_events *events, void *data)
| Add an event listener to link. More...
int | pw_link_register (struct pw_link *link, struct pw_client *owner, struct pw_global *parent, struct pw_properties *properties)
| Finish link configuration and register. More...
struct pw_core * | pw_link_get_core (struct pw_link *link)
| Get the core of a link. More...
void * | pw_link_get_user_data (struct pw_link *link)
| Get the user_data of a link, the size of the memory is given when constructing the link. More...
const struct pw_link_info * | pw_link_get_info (struct pw_link *link)
| Get the link info. More...
struct pw_global * | pw_link_get_global (struct pw_link *link)
| Get the global of the link. More...
struct pw_port * | pw_link_get_output (struct pw_link *link)
| Get the output port of the link. More...
struct pw_port * | pw_link_get_input (struct pw_link *link)
| Get the input port of the link. More...

## Macro Definition Documentation

## PW_LINK_PROP_PASSIVE

#define PW_LINK_PROP_PASSIVE "pipewire.link.passive"

Indicate that a link is passive, it does not cause the nodes to activate, set to "1" or "0".

## PW_TYPE__Link

#define PW_TYPE__Link PW_TYPE_OBJECT_BASE "Link"

## PW_TYPE_LINK_BASE

#define PW_TYPE_LINK_BASE PW_TYPE__Link ":"

## PW_VERSION_LINK_EVENTS

#define PW_VERSION_LINK_EVENTS 0

## Function Documentation

## pw_link_add_listener()

void pw_link_add_listener | ( | struct pw_link * | link,
|  | struct spa_hook * | listener,
|  | const struct pw_link_events * | events,
|  | void * | data
| ) |  |

Add an event listener to link.

## pw_link_get_core()

struct pw_core* pw_link_get_core | ( | struct pw_link * | link | ) |

Get the core of a link.

## pw_link_get_global()

struct pw_global* pw_link_get_global | ( | struct pw_link * | link | ) |

Get the global of the link.

## pw_link_get_info()

const struct pw_link_info* pw_link_get_info | ( | struct pw_link * | link | ) |

Get the link info.

## pw_link_get_input()

struct pw_port* pw_link_get_input | ( | struct pw_link * | link | ) |

Get the input port of the link.

## pw_link_get_output()

struct pw_port* pw_link_get_output | ( | struct pw_link * | link | ) |

Get the output port of the link.

## pw_link_get_user_data()

void* pw_link_get_user_data | ( | struct pw_link * | link | ) |

Get the user_data of a link, the size of the memory is given when constructing the link.

## pw_link_register()

int pw_link_register | ( | struct pw_link * | link,
|  | struct pw_client * | owner,
|  | struct pw_global * | parent,
|  | struct pw_properties * | properties
| ) |  |

Finish link configuration and register.

Parameters

  link | the link to register
  owner | optional link owner
  parent | parent global
  properties | extra properties

References pw_global_add_listener(), pw_global_new(), pw_global_register(), pw_link_activate(), pw_properties_new(), pw_properties_setf(), and PW_VERSION_LINK.